# SubscribeConfigurationResponse (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class SubscribeConfigurationResponse

- java.lang.Object
- - io.dapr.client.domain.SubscribeConfigurationResponse

    public class SubscribeConfigurationResponse
    extends Object

Domain object for response from subscribeConfiguration API.

### Constructor Summary

Constructors
`SubscribeConfigurationResponse​(String id, Map<String,​ConfigurationItem> items)` Constructor for SubscribeConfigurationResponse.

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​ConfigurationItem>` `getItems()`
`String` `getSubscriptionId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubscribeConfigurationResponse

    public SubscribeConfigurationResponse​(String id,
                                          Map<String,​ConfigurationItem> items)

Constructor for SubscribeConfigurationResponse.

Parameters:
  `id` - Subscription id for the items subscribed to.This id is returned by subscribeToConfiguration API.
  `items` - Map of configuration items user subscribed to.

### Method Detail

#### getItems

    public Map<String,​ConfigurationItem> getItems()

#### getSubscriptionId

    public String getSubscriptionId()